<?php
require_once(dirname(__FILE__) . "/../lib/wpv-function.php");
require_once(dirname(__FILE__) . "/../lib/wpv-function-display-option.php");

if (isset($_GET["post_id"])) {
    $_post_id = $_GET["post_id"];
}
else {
    WpvUtils::ShowPageNotFound();
}
    
$display_option = WpvDisplayOption::GetDisplayOption($_post_id, TRUE);
if ($display_option === FALSE) {
    WpvUtils::ShowPageNotFound();
}
?>
function wpv_MouseOverCell(cell) {
    cell.style.borderWidth = "<?php echo $display_option->border_width; ?>px";
    cell.style.borderColor = "<?php echo $display_option->border_color_hover; ?>";
    cell.style.backgroundColor = "<?php echo $display_option->cell_background_color_hover; ?>";
    cell.style.cursor = "pointer";
}

function wpv_MouseOutCell(cell) {
    cell.style.borderWidth = "<?php echo $display_option->border_width; ?>px";
    cell.style.borderColor = "<?php echo $display_option->border_color; ?>";
    cell.style.backgroundColor = "<?php echo $display_option->cell_background_color; ?>";
    cell.style.cursor = "default";
}

function wpv_DownloadFile(sRequest) {
    self.location.href = "<?php echo get_bloginfo("siteurl"); ?>/?" + sRequest;
}

function wpv_ShowImage(file_id, post_id, action_type, hash) {
    var oParameters = new XmlRequestParameters();
    var oDialog = document.getElementById("wpv-modal-dialog");
    
    oParameters.add("wpv-image-display", true);
    oParameters.add("file_id", file_id);
    oParameters.add("post_id", post_id);
    oParameters.add("action_type", action_type);
    oParameters.add("hash", hash);
    WpvDialog.openDialog("<?php echo get_bloginfo("siteurl"); ?>/", "POST", oParameters);
}

function wpv_DoDefault(sRequest) {
    self.location.href = "<?php echo get_bloginfo("siteurl"); ?>/?" + sRequest;
}
