
function submitPage(iPage) {
    var oPageNumber = document.getElementById("page-number");

    try {
        var oPostPaging = new WpvPaging();

        oPageNumber.value = iPage;
        oPageNumber.form.action.value = "wpv_post_table_page";
        oPageNumber.form.cookie.value = document.cookie;
        
        oPostPaging.targetId = "page-content";
        oPostPaging.loadingMessageId = "page-loading-message";
        oPostPaging.requestUri = "/wp-admin/admin-ajax.php";
        oPostPaging.submitForm = oPageNumber.form;
        oPostPaging.refreshPage();
    }
    catch (ex) {
        oPageNumber.form.submit();
    }
}

function selectPost(postID) {
    var linkForm = document.getElementById("link-form");

    linkForm.proc.value = "file-selection-page";
    linkForm.post_id.value = postID;
    linkForm.submit();
}

function submitSort(sSortBy) {
    var linkForm = document.getElementById("link-form");

    if (linkForm.sort_by.value == sSortBy && linkForm.sort_modifier.value == "ASC")
        linkForm.sort_modifier.value = "DESC";
    else if (linkForm.sort_by.value == sSortBy && linkForm.sort_modifier.value == "DESC")
        linkForm.sort_modifier.value = "ASC";
    else if (sSortBy == "post_modified" || sSortBy == "post_date")
        linkForm.sort_modifier.value = "DESC";
    else
        linkForm.sort_modifier.value = "ASC";
    linkForm.sort_by.value = sSortBy;

    submitPage(1);
}

function submitTabSelection(iTabIndex, obj) {
    var linkForm = document.getElementById("link-form");

    if (obj != null)
        changeTabFocus(obj.parentNode);

        linkForm.sort_by.value = "post_modified";
    linkForm.sort_modifier.value = "DESC";
    linkForm.selected_tab_index.value = iTabIndex;

    submitPage(1);
}

function submitPostType(sPostType) {
    var linkForm = document.getElementById("link-form");

    linkForm.sort_by.value = "post_modified";
    linkForm.sort_modifier.value = "DESC";
    linkForm.post_type.value = sPostType;

    submitPage(1);
}

function viewPreview(sParam) {
    var previewFrame = document.getElementById("wpv-preview-frame");

    previewFrame.style.display = "inline";
    previewFrame.src = sParam;
}

